<?php

  // -----------------------------------------------------------------------
  // Apertura della connessione al Database MySql
  // Riceve      : Host - Indirizzo server MySql
  //               User - Nome utente
  //               Password - Password di accesso
  //               Database - Nome del DB
  // Restituisce :  Il link MySql al DB se tutto OK
  //               -1 se non c' connessione
  //               -2 se non esiste il DB
  // Note        :
  // -----------------------------------------------------------------------
	function OpenDatabase ($Host,$User,$Password,$Database) {	  
	  
		// Si connette a MySQL
		if (($sqlLink=mysql_pconnect($Host,$User,$Password))==false) {
		  return -1;
    }
		if (mysql_select_db($Database,$sqlLink)==false) {
			return -2;
		}
   
    return $sqlLink;
  }
  
  
  // --------------------------------------------------------------------
  // Descrizione: Esegue il parsing del messaggio passato
  // Riceve     : testo - testo del messaggio da analizzare
  // Restituisce: array associativo con i dati del messaggio
  // Note       :
  // --------------------------------------------------------------------
  function ParseMessage($testo) {
    
    $ret=array();
    
    $dati=explode("#",$testo);
    
    
    switch ($dati[0]) {
      
    case "ALARM":
      $ret["tipo"]=1;
      break;
      
    case "STATUS":
      $ret["tipo"]=2;
      break;
      
    default:
      // Non valido
      $ret["tipo"]=0;
      break; 
            
    }
    
    if ($ret["tipo"]) {
      // Vale sia per Status che per Alarm
      
      // Mappatura dei campi solo per i messaggi validi
      foreach ($dati as $campo) {
      
        // Divido il nome dal valore (se non c' l'uguale  il primo dato e lo scarto
        $pos=strpos($campo,"=");
        if ($pos!==false) {
          $key=substr($campo,0,$pos);
          $val=substr($campo,$pos+1);
          
          //Memorizzo
          $ret[$key]=$val;
          
        }        
      
      }
      
    }
    
    return $ret;
    
  }

  // -------------------------------------------------------------
  // Converte la data MySql in un formato leggibile 
  // -------------------------------------------------------------  
  function stShowDate($mySqlDate, $withtime=0) { 
    if ($withtime) {
      $clearDate = substr($mySqlDate,8,2) . "-" . substr($mySqlDate,5,2) . "-" . substr($mySqlDate,0,4) . " " .substr($mySqlDate,10);
    } else {
      $clearDate = substr($mySqlDate,8,2) . "-" . substr($mySqlDate,5,2) . "-" . substr($mySqlDate,0,4);
    }
    return $clearDate;
  }


  // -------------------------------------------------------------
  // Converte la data dal formato leggibile in MySql
  // -------------------------------------------------------------  
  function stGetDate($myDate) { 
    $mySqlDate = substr($myDate,6,4) . "-" . substr($myDate,3,2) . "-" . substr($myDate,0,2);
    return $mySqlDate;
  }


// ----------------------------------------------------------------
  // Visualizza la barra di navigazione tra i messaggi
  // linkTo : link da chiamare per la navigazione. Deve avere come ultima
  //          variabile la variabile di navigazione "appesa". Ad esempio
  //          $PATHDACHIAMARE&num_pagina=
  // $totrecords : numero totale di records da paginare
  // $current : pagina corrente
  // $strtotal: stringa con i totali da visualizzare
  // Ritorna il record iniziale da richiedere
  // ----------------------------------------------------------------
  function NavigationBar($totrecords,$linkTo,$current=1,$strtotal="",$largh="100%",$recordperpage=10) {
        
      
    if ($totrecords<$recordperpage) {
      // Scrivo solo i totali se richiesto
      if ($strtotal!="") {
        
        echo "<div id=navbar>";
        echo "<CENTER>";
        echo "<TABLE width=$largh>";
        echo "<TR class=navigation_row>";
        echo "<td width=48% nowrap>";
        echo "$strtotal";
        echo "</td>";
        echo "<TD align=center nowrap>";
        echo "</TD>";
        echo "<td width=48% nowrap align=right>&nbsp;</td>";
        echo "</TR>";
        echo "</TABLE>";
        echo "</CENTER>";
        echo "</div>";
      }
      return 0;
    }

    $totpages=(int)($totrecords/$recordperpage);
    if (($totrecords % $recordperpage)>0) $totpages++;

    if ($current>$totpages) $current=1;

    echo "<div id=navbar>";
    echo "<CENTER>";
    echo "<TABLE width=$largh>";
    echo "<TR class=navigation_row>";
    echo "<td width=48% nowrap>";
    if ($strtotal=="") 
      echo "&nbsp;";
    else
      echo "$strtotal";
    echo "</td>";
    echo "<TD align=center nowrap>";
    
    // Link prima pagina    
    $temp=str_replace("PAGE_NUMBER","1",$linkTo);
    echo "<img src='images/ico_first.png' title='Vai alla prima pagina' align='absmiddle' onClick='".$temp."' class=imgbutton>";
    
    if ($current>1) {
      $newmsgpage=$current-1;
    } else {
      $newmsgpage=$current;
    }
    $temp=str_replace("PAGE_NUMBER",$newmsgpage,$linkTo);
    echo "<img src='images/ico_prev.png' title='Vai alla pagina precedente' border='0' align='absmiddle' onClick='".$temp."' class=imgbutton>";
    
    // Calcola il numero di pagina iniziale da inserire nella lista di scorrimento 
    if ($current>4) {
      $i=$current-4;
    } else {
      $i=1;
    }
    for (;;$i++) {
      if ($i==$current) {
        echo "<b class=textbutton style='color:red'>";
        echo " $i ";
        echo "</b>";
      } else {
        $temp=str_replace("PAGE_NUMBER",$i,$linkTo);
        echo " <a href='$temp' class=textbutton>$i</a> ";
      }
      if ($i==$totpages) {
        break;
      }

      if (($current+4)>9) {
        if ($i==$current+4) {
          break;
        }
      } else {
        if ($i==9) {
          break;
        }
      }
    }
    
    if ($current<$totpages) {
      $newmsgpage=$current+1;
    } else {
      $newmsgpage=$current;
    }
    
    $temp=str_replace("PAGE_NUMBER",$newmsgpage,$linkTo);
    echo "<img src='images/ico_next.png' title='Vai alla pagina successiva' border='0' align='absmiddle' onClick='".$temp."' class=imgbutton>";
    
    $temp=str_replace("PAGE_NUMBER",$totpages,$linkTo);
    echo "<img src='images/ico_last.png' title=\"Vai all'ultima pagina\" border='0' align='absmiddle' onClick='".$temp."' class=imgbutton>";

    echo "</TD>";
    echo "<td width=48% nowrap align=right>Pagina $current di $totpages</td>";
    echo "</TR>";
    echo "</TABLE>";
    echo "</CENTER>";
    echo "</div>";
    
    return ($current-1)*$recordperpage;
  }
  
  
  // --------------------------------------------------------------------
  // Descrizione: Disegna la toolbar
  // Riceve     : buttons - array associativo con i dati dei pulsanti
  // Restituisce: -
  // Note       :
  // --------------------------------------------------------------------
  function Toolbar($buttons) {
    
    echo "<div id=toolbar>";
    
    echo "<TABLE width=100% border=0 cellspacing=0 cellpadding=0>";
    echo "<tr>";
    echo "<td>&nbsp;</td>";
    
    for ($i=0;$i<count($buttons);$i++) {
      if ($buttons[$i]["mode"]=="STANDARD") {
        echo "<td width=1% nowrap align=center class=tbrbutton onClick='".$buttons[$i]["link"]."'>";
        echo "<img src='images/".$buttons[$i]["image"]."' align=absmiddle>&nbsp;";
        echo $buttons[$i]["title"];
        echo "</td>";
      } else {
        echo "<td width=1% nowrap align=center>";
        echo $buttons[$i]["title"];        
        echo "</td>";
      }
      
    }
    
    echo "</tr>";
    echo "</table>";
    echo "</div>";
  }
  
?>