// -----------------------------------------------------------------------
// Ricava la larghezza del viewport del browser
// -----------------------------------------------------------------------
function getViewportWidth() {
  var myWidth = 0, myHeight = 0;
  if( typeof( window.innerWidth ) == 'number' ) {
    //Non-IE
    myWidth = window.innerWidth;
    myHeight = window.innerHeight;
  } else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
    //IE 6+ in 'standards compliant mode'
    myWidth = document.documentElement.clientWidth;
    myHeight = document.documentElement.clientHeight;
  } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
    //IE 4 compatible
    myWidth = document.body.clientWidth;
    myHeight = document.body.clientHeight;
  }
  return myWidth;
  
}


// -----------------------------------------------------------------------
// Ricava l'altezza del viewport del browser
// -----------------------------------------------------------------------
function getViewportHeigth() {
  var myWidth = 0, myHeight = 0;
  if( typeof( window.innerWidth ) == 'number' ) {
    //Non-IE
    myWidth = window.innerWidth;
    myHeight = window.innerHeight;
  } else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
    //IE 6+ in 'standards compliant mode'
    myWidth = document.documentElement.clientWidth;
    myHeight = document.documentElement.clientHeight;
  } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
    //IE 4 compatible
    myWidth = document.body.clientWidth;
    myHeight = document.body.clientHeight;
  }
  return myHeight;
  
}


  // -----------------------------------------------------------------------
  // Document Ready function
  // -----------------------------------------------------------------------  
  $(document).ready(function(){

    // -----------------------------------------------------------------------
    // Imposto le corrette dimensioni
    // Altezza del main content 
    $("#pageContent").height(getViewportHeigth()-$("#pageHeader").height());    
    $("#pageMenu").height($("#pageContent").height());
    
    // Resize del Float Right per evitare di mandarlo a capo
    rightSize=getViewportWidth()-$("#pageMenu").width();
    $("#pageContent").width(rightSize-1);
    
    
    // -----------------------------------------------------------------------
    // Installo il gestore del resize
    $(window).resize(function(e){       
      // Altezza del main content 
      $("#pageContent").height(getViewportHeigth()-$("#pageHeader").height());
      $("#pageMenu").height($("#pageContent").height());
      
      // Resize del Float Right per evitare di mandarlo a capo
      rightSize=getViewportWidth()-$("#pageMenu").width();          
      $("#pageContent").width(rightSize-1);
      
    });
    
    $("#popupContent").hide();
            
  }); 


// -----------------------------------------------------------------------
// Frontent generico per le chiamate AJAX
// Riceve      : address - Indirizzo della pagina da caricare
//               request_data - dati da passare in POST
//               id_target - ID del target in cui inserire l'html ricevuto
//               formname - eventuale form da cui ricavare i dati post
// Restituisce : -
// Note        :
// -----------------------------------------------------------------------
function ajaxRequest(address,request_data,id_target,formname) {

  var str;
    
  // Se ci sono dati extra da un form li appende
  if (typeof(formname)!="undefined") {    
    str="&"+$("[name="+formname+"]").serialize();
  } else {
    str="";
  }
    
  $.ajax({
      type: "POST",
      url: address,
      data: request_data+str,
      contentType: "application/x-www-form-urlencoded; charset=UTF-8",
      success: function (data) {
        ajaxCompleted(id_target,data);
      },
      error: function (XMLHttpRequest, textStatus, errorThrown) {
        ajaxError(XMLHttpRequest, textStatus, errorThrown);
      }//,
      //beforeSend: function(xhr) {
        //xhr.overrideMimeType('text/html; charset=ISO-8859-1');
        //xhr.setRequestHeader("Content-type","text/html; charset=ISO-8859-1");
        //xhr.setRequestHeader("Content-type","text/html; charset=UTF-8");
      //}
   });

}

// -----------------------------------------------------------------------
// Richiesta Ajax completata correttamente
function ajaxCompleted(id_dest,HtmlData) {
  //alert ("Completed. Target "+id_dest);
  //alert (HtmlData);
  
  if (id_dest=="popupContent") {
    
    // Divido il titolo dal contenuto
    titolo=HtmlData.substr(0,HtmlData.indexOf("#"));
    testo=HtmlData.substr(HtmlData.indexOf("#")+1);
    
    $("#popupTitle").html(titolo);
    $("#popupText").html(testo);
    $('#popupContent').show();
    
    // Se il content box  oltre il top lo riposiziono    
    if (parseInt($('#popupContent').css("top"))<0) {      
      $('#popupContent').css("top","0")
    }
    
    $('#popupClose').click(function() {
      $('#popupContent').hide();
    }); 
    
    return;
  }  
  
  if (id_dest!="") {
        
    $("#"+id_dest).html(HtmlData);
    
  }  
  
}


// -----------------------------------------------------------------------
// Errore Ajax
function ajaxError (XMLHttpRequest, textStatus, errorThrown) {
  
}

// --------------------------------------------------------------------
// Descrizione: Chiusura del popup Box
// Riceve     : -
// Restituisce: -
// Note       :
// --------------------------------------------------------------------
function ClosePopup() {  
  $('#popupContent').hide();
}